<?php

 // ini_set('display_errors',1);

if (PHP_SAPI == 'cli')
  die('Se visualiza solamente desde un navegador.');
require_once dirname(__FILE__) . '/../../libreriasphp/phpexcel/Classes/PHPExcel.php';
date_default_timezone_set('America/Lima');
session_start();
require_once ("../../config/Cado.php");

require_once ("../../app/venta/cVenta.php");
$oVenta = new cVenta();


require_once ("../../app/puntoventa/cPuntoventa.php");
$oPuntoventa = new cPuntoventa();

require_once ("../../app/formatos/fechas.php");
require_once ("../../app/formatos/formato.php");


$fec1 = $_GET["fec1"];
list($anio1,$mes1,$dia1) = explode('-',$fec1);

$fec2 = $_GET["fec2"];
list($anio2,$mes2,$dia2) = explode('-',$fec2);

$titulosColumnas = [];
$titulosColumnas[] = "SUCURSAL";
	 
for($i=$dia1;$i<=$dia2;$i++){
	$i = $i*1;
	$fec = $i.'-'.$mes1.'-'.$anio1;
	$titulosColumnas[] = $fec;
};

$titulosColumnas[] = "TOTAL";

//echo $dias;

// Create new PHPExcel object
$objPHPExcel = new PHPExcel();
// Set document properties
$objPHPExcel->getProperties()->setCreator("https://infosisperu.com")
->setLastModifiedBy("https://infosisperu.com")
->setTitle("REPORTE CONSOLIDADO CONTABLES")
->setSubject("Reporte")
->setDescription("Reporte generado por https://infosisperu.com")
->setKeywords("")
->setCategory("reporte excel");
$objPHPExcel->setActiveSheetIndex(0);
$c=1;
$estiloTituloColumnas = array(
  'font' => array(
    'name'  => 'Arial',
    'bold'  => true,
    'size'  =>8,
    'color' => array(
      'rgb' => '000000'
      )
    ),
  'fill' => array(
    'type'  => PHPExcel_Style_Fill::FILL_SOLID,
    'color' => array(
      'rgb' => 'FAFAFA')
    ),
  'borders' => array(
    'outline' => array(
      'style' => PHPExcel_Style_Border::BORDER_THIN ,
      'color' => array(
        'rgb' => '143860'
        )
      )
    ),
  'alignment' =>  array(
    'horizontal'=> PHPExcel_Style_Alignment::HORIZONTAL_CENTER,
    'vertical'  => PHPExcel_Style_Alignment::VERTICAL_CENTER,
    'wrap'      => TRUE
    )
  );
  
  $estiloTitulos = array(
  'font' => array(
    'name'  => 'Arial',
    'bold'  => true,
    'size'  =>8,
    'color' => array(
      'rgb' => 'FFFFFF'
      )
    ),
  'fill' => array(
    'type'  => PHPExcel_Style_Fill::FILL_SOLID,
    'color' => array(
      'rgb' => 'FF8800')
    ),
  'borders' => array(
    'outline' => array(
      'style' => PHPExcel_Style_Border::BORDER_THIN ,
      'color' => array(
        'rgb' => '143860'
        )
      )
    ),
  'alignment' =>  array(
    'horizontal'=> PHPExcel_Style_Alignment::HORIZONTAL_CENTER,
    'vertical'  => PHPExcel_Style_Alignment::VERTICAL_CENTER,
    'wrap'      => TRUE
    )
  );
  
  $estiloTotales = array(
  'font' => array(
    'name'  => 'Arial',
    'bold'  => true,
    'size'  =>8,
    'color' => array(
      'rgb' => 'FFFFFF'
      )
    ),
  'fill' => array(
    'type'  => PHPExcel_Style_Fill::FILL_SOLID,
    'color' => array(
      'rgb' => '0d47a1')
    ),
  'borders' => array(
    'outline' => array(
      'style' => PHPExcel_Style_Border::BORDER_THIN ,
      'color' => array(
        'rgb' => '143860'
        )
      )
    ),
  'alignment' =>  array(
    'horizontal'=> PHPExcel_Style_Alignment::HORIZONTAL_CENTER,
    'vertical'  => PHPExcel_Style_Alignment::VERTICAL_CENTER,
    'wrap'      => TRUE
    )
  );
     
 
  
 // print_r($titulosColumnascompras);
 
 //echo $titulosColumnascompras.'--';
 
	$letras = array('A','B','C','D','E','F','G','H','I','J','K','L','M','N','O','P','Q','R','S','T','U','V','W','X','Y','Z','AA','AB','AC','AD','AE','AF','AG','AH','AI','AJ','AK','AL','AM','AN','AO','AP','AQ','AR','AS','AT','AU','AV','AW','AX','AY','AZ',);

    $objPHPExcel->getActiveSheet()->setCellValue("A$c", 'ASISTENCIAS');
	
	
	
	$c = $c+1;
  
	$letracolumn = 0;
  
	for ($i=0; $i < count($titulosColumnas) ; $i++) { 
    $letracolumn = $i;
    $objPHPExcel->getActiveSheet()->setCellValue($letras[$i].$c, $titulosColumnas[$i]);
	}
  
	$objPHPExcel->getActiveSheet()->getStyle("A$c:".$letras[$letracolumn]."$c")->applyFromArray($estiloTituloColumnas);
	$c = $c+1;
 
 
 $dts=$oPuntoventa->filtrar('','');
 
  while($dt = mysqli_fetch_array($dts)){
      
    $l = 0;
		
	$objPHPExcel->getActiveSheet(0)
	->setCellValue('A'.$c, $dt['tb_puntoventa_nom']);
      
      
      
      
      for($i=$dia1;$i<=$dia2;$i++){
          $l++;
          $i = $i * 1;
        $fec = $i.'-'.$mes1.'-'.$anio1;
		$punven_id = $dt['tb_puntoventa_id'];
					
					
	$dts7 = $oVenta->verSuma_VentaPuntoventaFecha(fecha_mysql($fec),$punven_id);
	$dt7 = mysqli_fetch_array($dts7);
	$totalventa = $dt7['total'];
	
	
		$objPHPExcel->getActiveSheet(0)
			->setCellValue($letras[$l].$c, ($totalventa));
            $data["total_".$i] += $totalventa;
        	$data["totalventa_".$punven_id] += $totalventa;
      
       //    $objPHPExcel->getActiveSheet(0)->getStyle("$letras[$l].$c:$letras[$l].$c")->getNumberFormat()->setFormatCode('0.00');
          //$objPHPExcel->getActiveSheet()->getStyle("$letras[$l].$c")->getNumberFormat()->setFormatCode(PHPExcel_Style_NumberFormat::FORMAT_NUMBER_00);
          
        
      }
      
      //$objPHPExcel->getActiveSheet(0)->getStyle("B$c:$letras[$l]$c")->getNumberFormat()->setFormatCode(PHPExcel_Style_NumberFormat::FORMAT_NUMBER_00);
      
     $l++;
      $objPHPExcel->getActiveSheet(0)
			->setCellValue($letras[$l].$c, ($data["totalventa_".$punven_id]));
     
    // $objPHPExcel->getActiveSheet(0)->getStyle("$letras[$l].$c:$letras[$l].$c")->getNumberFormat()->setFormatCode('0.00');
     
    $c++;  
  }
 
 
 $c = $c + 1;
 
 $objPHPExcel->getActiveSheet(0)
	->setCellValue('A'.$c, "TOTAL");
      
      $l = 0;
            
      for($i=$dia1;$i<=$dia2;$i++){
          $l++;
        $i = $i * 1;
		$objPHPExcel->getActiveSheet(0)
			->setCellValue($letras[$l].$c, ($data["total_".$i]));
      }
    
      
 
 
 $letracolumn = 0;
	
for($z = 'A'; $z <= 'Z'; $z++){
  $objPHPExcel->getActiveSheet()->getColumnDimension($z)->setAutoSize(TRUE);
}
	
 
	
	

	$objPHPExcel->getActiveSheet()->setTitle('VENTAS POR SUCURSAL');
	
	$nombre_archivo="VENTASSUCURSAL".date('d-m-Y H-i:s');
// Redirect output to a client’s web browser (Excel5)
//header('Content-Type: application/vnd.ms-excel');
//header('Content-Disposition: attachment;filename="'.$nombre_archivo.'.xls"');
// Redirect output to a client’s web browser (Excel2007)
header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment;filename="'.$nombre_archivo.'.xlsx"');
header('Cache-Control: max-age=0');
// If you're serving to IE 9, then the following may be needed
header('Cache-Control: max-age=1');
// If you're serving to IE over SSL, then the following may be needed
header ('Expires: Mon, 26 Jul 1997 05:00:00 GMT'); // Date in the past
header ('Last-Modified: '.date('D, d M Y H:i:s').' GMT'); // always modified
header ('Cache-Control: cache, must-revalidate'); // HTTP/1.1
header ('Pragma: public'); // HTTP/1.0
//$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5');
$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
$objWriter->save('php://output');
exit;
?>